<?php

	include("../protecao_admin.php");

	include("../../conectar_db.php");

	$codigo = $_GET['codigo'];
	$caminho = "arquivos/img_imoveis_g/".$codigo;

	function deletar($pasta){ 

	  $iterator     = new RecursiveDirectoryIterator($pasta,FilesystemIterator::SKIP_DOTS);
	  $rec_iterator = new RecursiveIteratorIterator($iterator, RecursiveIteratorIterator::CHILD_FIRST);

	  foreach($rec_iterator as $file){ 
		$file->isFile() ? unlink($file->getPathname()) : rmdir($file->getPathname()); 
	  } 

	  rmdir($pasta); 
	}

	// EXEMPLO DE UTILIZACAO
	deletar($caminho);
	
	// comando mysql para ser execultado.
		$consulta_img = "SELECT * FROM imoveis_imagem WHERE codigo ='".$codigo."'";

	// conectar o banco com o comando mysql.   
		$con_img = mysqli_query($conn, $consulta_img);
	
		while($rows_img = mysqli_fetch_array($con_img)){
							
				$img_id = $rows_img['id'];
			
				// comando mysql para ser execultado.
		        $consulta_del = "DELETE FROM imoveis_imagem WHERE id ='".$img_id."'";

				// conectar o banco com o comando mysql.   
				$con_del = mysqli_query($conn, $consulta_del);
			}
		
		// comando mysql para ser execultado.
		        $consulta_del_imovel = "DELETE FROM imoveis WHERE codigo ='".$codigo."'";

		// conectar o banco com o comando mysql.   
				$con_del_imovel = mysqli_query($conn, $consulta_del_imovel);

		mysqli_close($conn);

		 echo "<script>"; 
		 echo 'window.location.href = "tela_cadastro_imoveis.php"';
		 echo "</script>";
?>